# Set-RASHelpdeskEmailSettings.md

## NAME

Set-RASHelpdeskEmailSettings

## SYNOPSIS

Update RAS Email settings.

## SYNTAX

\*\*Set-RASHelpdeskEmailSettings \[[HelpdeskEmail](#helpdeskemail-string) *(string)*] \[[HelpdeskEnabled](#helpdeskenabled-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Update RAS Email settings.

## PARAMETERS

## SiteId (uint)

The site ID.

To obtain the ID of a desired site, use the Get-Sites cmdlet.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HelpdeskEnabled (bool)

Whether RAS Helpdesk is enabled.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HelpdeskEmail (string)

RAS Helpdesk email.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASHelpdeskEmailSettings -HelpDeskEnabled $true

Updates the help desk enabled.

## RELATED LINKS

* [Get-RASHelpDeskEmailSettings](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/cmdlets/Get-RASHelpDeskEmailSettings.md)
* [Set-RASProxySettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasproxysettings.md)
* [Set-RASSystemSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassystemsettings.md)
* [Set-RASClientSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasclientsettings.md)
* [Set-RASFarmSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasfarmsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rashelpdeskemailsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
